Package ch.qos.logback.access.servlet

## Class TeeHttpServletResponse

- java.lang.Object
- - javax.servlet.ServletResponseWrapper
  - - javax.servlet.http.HttpServletResponseWrapper
    - - ch.qos.logback.access.servlet.TeeHttpServletResponse

All Implemented Interfaces:
  `javax.servlet.http.HttpServletResponse`, `javax.servlet.ServletResponse`

    public class TeeHttpServletResponse
    extends javax.servlet.http.HttpServletResponseWrapper

### Field Summary

### Fields inherited from interface javax.servlet.http.HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

### Constructor Summary

Constructors
`TeeHttpServletResponse​(javax.servlet.http.HttpServletResponse httpServletResponse)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `flushBuffer()`
`javax.servlet.ServletOutputStream` `getOutputStream()`
`java.io.PrintWriter` `getWriter()`

### Methods inherited from class javax.servlet.http.HttpServletResponseWrapper

`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, getHeader, getHeaderNames, getHeaders, getStatus, getTrailerFields, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setStatus, setTrailerFields`

### Methods inherited from class javax.servlet.ServletResponseWrapper

`getBufferSize, getCharacterEncoding, getContentType, getLocale, getResponse, isCommitted, isWrapperFor, isWrapperFor, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong, setContentType, setLocale, setResponse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.ServletResponse

`getBufferSize, getCharacterEncoding, getContentType, getLocale, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong, setContentType, setLocale`

### Constructor Detail

#### TeeHttpServletResponse

    public TeeHttpServletResponse​(javax.servlet.http.HttpServletResponse httpServletResponse)

### Method Detail

#### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()
                                                      throws java.io.IOException

Specified by:
  `getOutputStream` in interface `javax.servlet.ServletResponse`
Overrides:
  `getOutputStream` in class `javax.servlet.ServletResponseWrapper`
Throws:
  `java.io.IOException`

#### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.IOException

Specified by:
  `getWriter` in interface `javax.servlet.ServletResponse`
Overrides:
  `getWriter` in class `javax.servlet.ServletResponseWrapper`
Throws:
  `java.io.IOException`

#### flushBuffer

    public void flushBuffer()

Specified by:
  `flushBuffer` in interface `javax.servlet.ServletResponse`
Overrides:
  `flushBuffer` in class `javax.servlet.ServletResponseWrapper`